---
title: VisualViewport.scale
slug: Web/API/VisualViewport/scale
tags:
  - API
  - Property
  - Reference
  - Visual Viewport API
  - VisualViewport
  - size
  - viewport
---
<p>{{SeeCompatTable}}{{APIRef("Visual Viewport")}}</p>

<p>The <strong><code>scale</code></strong> read-only property of the {{domxref("VisualViewport")}} interface returns the pinch-zoom scaling factor applied to the visual viewport.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>scale</em> = VisualViewport.scale</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Visual Viewport','#dom-visualviewport-scale','scale')}}</td>
			<td>{{Spec2('Visual Viewport')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.scale")}}</p>
